Create Suites
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /unit-tests
- /suites
Add a new unit test suite to a project
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/unit-tests/suites" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Backend Integration Tests",
"identifier": "backend-tests",
"timeout": 3600,
"error_pattern": "(ERROR|FATAL|Exception)",
"slow_threshold": 5000,
"note": "Notes about this resource",
"agent_note": "my_custom_field: note for agent"
}'EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v",
"html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v",
"id": "65OmRb8v",
"name": "Backend Integration Tests",
"identifier": "backend-tests",
"timeout": 3600,
"error_pattern": "(ERROR|FATAL|Exception)",
"token": "0123456789abcdef0123456789abcdef01234567",
"slow_threshold": 5000,
"note": "Notes about this resource",
"agent_note": "my_custom_field: note for agent"
}STATUS
201 Created